package com.caimei365.manager.controller.caimei;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.service.caimei.HomeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 后台首页
 *
 * @author : Charles
 * @date : 2022/3/23
 */
@RestController
@RequestMapping("/home")
public class HomeApi {
    @Resource
    private HomeService homeService;

    /**
     * 仪表盘数据
     */
    @GetMapping("/dashboard")
    public ResponseJson<Map<String, Object>> getDashboardData() {
        return homeService.getDashboardData();
    }
}
